/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Fabien Vultier
 *   Co-authors:
 *      ...
 *
 */

/**
    @file IceMunition.cc
    @brief Implementation of the IceMunition class.
*/

#include "IceMunition.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"

namespace orxonox
{
    RegisterClass(IceMunition);

    IceMunition::IceMunition(Context* context) : Munition(context)
    {
        RegisterObject(IceMunition);

        this->maxMunitionPerMagazine_ = 1;
        this->maxMagazines_ = 50;
        this->unassignedMagazines_ = 25;

        this->deployment_ = MunitionDeployment::Stack;

        this->bAllowMunitionRefilling_ = true;
        this->bAllowMultiMunitionRemovementUnderflow_ = false;

        this->reloadTime_ = 0.5f;
    }

    void IceMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(IceMunition, XMLPort, xmlelement, mode);
    }
}
